Bug 426895 - fix default route doesn't work. [NEEDINFO]
fix default route doesn't work.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity high
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 22:10 EST by Gui Jianfeng
Modified: 2009-06-19 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cward: needinfo? (bnagendr)


Attachments (Terms of Use)
A patch for fixing this problem (608 bytes, patch)
2007-12-27 22:10 EST, Gui Jianfeng
no flags Details | Diff

  None (edit)
Description Gui Jianfeng 2007-12-27 22:10:07 EST
Description of problem:
The default route doesn't work, received packet can't be forward
to the gateway indicated by default route.

Version-Release number of selected component (if applicable):
rhel kernel 2.6.18-53.el5

How reproducible:


Steps to Reproduce:
1.receive a network unreachable packet
2.add a default
3.receive a packet which doesn't match other routes
  
Actual results:
The packet can't be forwarded to default route's gateway.

Expected results:
The packet should be forwarded to default route's gateway.

Additional info:
Comment 1 Gui Jianfeng 2007-12-27 22:10:07 EST
Created attachment 290469 [details]
A patch for fixing this problem
Comment 2 Gui Jianfeng 2008-01-10 01:27:33 EST
when adding a default route, RHEL5.1 kernel regards this action as a special case. 
when this scenario happens, kernel doesn't update the round-robin
point(fn->rr_ptr) of the root fib node(fn->rr_ptr).
So It fails when lookup the default route.
This bug has been fixed in the latest kernel.
Comment 3 Gui Jianfeng 2008-01-17 00:58:01 EST
http://bugzilla.kernel.org/show_bug.cgi?id=8349
Comment 4 RHEL Product and Program Management 2008-06-06 12:05:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2008-07-18 16:06:47 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Chris Ward 2008-11-28 02:12:46 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 9 Chris Ward 2008-12-18 05:38:04 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 11 errata-xmlrpc 2009-01-20 15:25:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.